From 9b02aa09d8a64106aee2bda59dc5ea854d2dbf02 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 05 2020 22:01:11 +0000
Subject: [PATCH 1283/2232] Distinguish exported vs private header dirs in logging


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index df2ffad..783eb04 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -226,7 +226,11 @@ fn build(rust_source_files: &mut dyn Iterator<Item = impl AsRef<Path>>) -> Resul
     for krate in crates {
         for header_dir in &krate.header_dirs {
             build.include(&header_dir.path);
-            eprintln!("  {}", header_dir.path.display());
+            if header_dir.exported {
+                eprintln!("  {}", header_dir.path.display());
+            } else {
+                eprintln!("  {} (private)", header_dir.path.display());
+            }
         }
     }
 

